import { Link } from "react-router-dom";
import BasicWindow from "../../Components/BasicWindow";
import { JSX } from "react/jsx-runtime";

function PMProjectPage(): JSX.Element {
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">ProjectNameExample</h1>
      <div className="border-4 border-black bg-white flex flex-col items-center justify-center min-h-[65vh] h-fit w-[50vw] rounded-3xl content-center overflow-scroll space-y-[5vh] p-[30px]">
        <Link to="/project-page">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            Your Time Reports
          </h1>
        </Link>
        <Link to="/new-time-report">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            New Time Report
          </h1>
        </Link>
        <Link to="/project-members">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            Statistics
          </h1>
        </Link>
        <Link to="/PM-unsigned-reports">
          <h1 className="font-bold underline text-[30px] cursor-pointer">
            Unsigned Time Reports
          </h1>
        </Link>
      </div>
    </>
  );

  return <BasicWindow content={content} buttons={undefined} />;
}
export default PMProjectPage;
